!GRÁFICOS GNUPLOT

SUBROUTINE graficos(SAIDA)

CHARACTER(100) SAIDA, NOME, TEXTO1

OPEN(7,file="Comandos_Gnu.gnu")

NOME = "plot './Saida/Curva_"//trim(adjustl(SAIDA))//".txt'using 2:3 notitle linetype 7"
TEXTO1 = "set out './Saida/Curva_"//trim(adjustl(SAIDA))//".png'"

WRITE(7,1) NOME, TEXTO1
1 FORMAT("set xlabel 'Velocidade (Km/h)'", 1/, &
         "set ylabel 'Coeficiente de Arrasto'", 1/, &
         "set title 'Curva CD vs V'", 1/, &
         "set grid", 1/, &
         "set time", 1/, &
         "set style data linespoints", 1/, &
         "set size ratio -1", 1/, &
         "set key left bottom", 1/, &
         A100, 1/, &
         "pause -1 ' Continua ? '", 1/, &
         "set term png nocrop enhanced size 1280,720", 1/, &
         A100, 1/, &
         "replot", 1/)
       
CLOSE(7)

END SUBROUTINE graficos